Skip to content

Perform various operations for Symitar parameters.

Operations

getSymXClient

POST

Retrieve SymXClient parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

SymXClientInstanceIdintegeroptional
SymXClientSymXClientNumberintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getSymXClient
POST /nexum/627/2022.01/parameter/getSymXClient HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SymXClientInstanceId": 0,
  "SymXClientSymXClientNumber": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getSymXClientSelectFields

POST

Retrieve SymXClient parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

SymXClientInstanceIdintegeroptional
SymXClientSymXClientNumberintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getSymXClientSelectFields
POST /nexum/627/2022.01/parameter/getSymXClientSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "SelectableFields": {
    "IncludeAllSymXClientFields": true
  }
}

updateSymXClientByID

POST

Update SymXClient parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

SymXClientInstanceIdintegeroptional
SymXClientSymXClientNumberintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/updateSymXClientByID
POST /nexum/627/2022.01/parameter/updateSymXClientByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SymXClientInstanceId": 0,
  "SymXClientSymXClientNumber": "string",
  "SymXClientUpdatableFields": {
    "Type": 0,
    "Description": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}